(**************************************************************************)
(*                                                                        *)
(*  Lucid Synchrone                                                       *)
(*                                                                        *)
(*  Author : Marc Pouzet                                                  *)
(*  Organization : Demons, LRI, University of Paris-Sud, Orsay            *)
(*                                                                        *)
(**************************************************************************)

(* $Id: $ *)

let node deriv (static dt) dx0 x = dx0 -> (x -. pre x) /. dt

let node rectangle (static dt) x0 dx =
  let rec x = x0 -> pre x +. dx *. dt in
  x

let sinusoid f dt = sin (f *. dt)

let cosinusoid f dt = cos (f *. dt)
