(**************************************************************************)
(*                                                                        *)
(*  Lucid Synchrone                                                       *)
(*                                                                        *)
(*  Author : Marc Pouzet                                                  *)
(*  Organization : Demons, LRI, University of Paris-Sud, Orsay            *)
(*                                                                        *)
(**************************************************************************)

(* $Id: $ *)

(* the interface for state functions *)
type ('state, 'init, 'input, 'output) sfunction =
    { init : 'init -> 'state;
      step : 'state * 'input -> 'output * 'state;
    } 

type ('input, 'output) pfunction = (unit, unit, 'input, 'output) sfunction
